=== debian/changelog ===
dynare (5.0-1build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:23:53 +0000

dynare (5.0-1) unstable; urgency=medium

  * New upstream version 5.0
  * Adapt autopkgtests for new output folder location
  * Drop Built-Using field for arch:all dynare-doc package, per lintian advice

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Jan 2022 17:03:33 +0100

dynare (5.0~rc1-1) experimental; urgency=medium

  * New upstream version 5.0~rc1
  * d/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Jan 2022 13:58:37 +0100

dynare (4.7~beta3-1) experimental; urgency=medium

  * New upstream version 4.7~beta3
  * d/copyright: reflect upstream changes
  * sphinx4.patch, destdir.patch: drop patches, applied upstream
  * dynare++.1: fix reference to documentation package

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 27 Nov 2021 15:40:52 +0100

dynare (4.7~beta2-1) experimental; urgency=medium

  * New upstream version 4.7~beta2
  * d/copyright: reflect upstream changes
  * which-deprecation.patch: drop patch, applied upstream
  * sphinx4.patch: new patch, fixes FTBFS against sphinx 4
  * d/control: add Build-Depends on tex-gyre, needed for sphinx 4
  * destdir.patch: new patch, fixes build system bug with DESTDIR
  * dynare.install: dynare-preprocessor now installed in /usr/bin
  * dynare-doc.docs: update paths now that docs are installed by build system
  * dynare-matlab.postinst: no longer pass MATLAB_VERSION to configure script.
    It is now autodetected.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Oct 2021 15:28:52 +0200

dynare (4.6.4-2) unstable; urgency=medium

  * dynare-matlab.postinst: replace “which” by “command -v”
    The “which” command is non-standard and deprecated.
  * which-deprecation.patch: new patch backported from upstream.
    Fixes problems related to the deprecation of “which” in Bookworm.
  * dynare-matlab: remove backup file “configure~” to make lintian happy

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 09 Sep 2021 12:27:05 +0200

dynare (4.6.4-1) unstable; urgency=medium

  * New upstream version 4.6.4
  * d/copyright: reflect upstream changes
  * Drop patches applied upstream:
    + texlive-20201203.patch
    + octave6.patch
  * Bump S-V to 4.6.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Aug 2021 20:14:58 +0200
