## dynare 5.2

=== debian/changelog ===
dynare (5.2-1) unstable; urgency=medium

  * New upstream version 5.2
  * Drop patches applied upstream
    + octave7.patch
    + gcc-12.patch
  * Trim trailing whitespace.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Jul 2022 14:27:26 +0200

dynare (5.1-3) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

  [ Sébastien Villemot ]
  * Build-Depend on octave-dev instead of liboctave-dev
  * gcc-12.patch: new patch, fixes FTBFS against GCC 12 (Closes: #1012917)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 24 Jul 2022 10:26:58 +0200

dynare (5.1-2) unstable; urgency=medium

  * octave7.patch: new patch, fixes FTBFS against Octave 7 (Closes: #1009130)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 19 Apr 2022 12:47:59 +0200

dynare (5.1-1) unstable; urgency=medium

  * New upstream version 5.1
  * d/copyright: reflect upstream changes
  * d/control: liboctave-dev has been renamed to octave-dev
  * Use packaged JSONLab
    + use-packaged-jsonlab.patch: new patch
    + Add Depends of dynare on octave-jsonlab
    + Add Depends of dynare-matlab on matlab-jsonlab

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Apr 2022 11:18:50 +0200
