=== debian/changelog ===
dynare (5.3-1) unstable; urgency=medium

  * New upstream version 5.3
  * dynare-matlab.postinst: compile MEX files using parallelization.
    Use as many threads as there are logical processors, as returned by “nproc”.
  * Remove an obsolete maintscript entry.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 21 Nov 2022 12:58:21 +0100
