=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 12.8~),
                dh-elpa,
                dh-octave (>= 0.7.1),
-               liboctave-dev (>= 4.2),
+               octave-dev (>= 4.2),
                libboost-graph-dev,
                libmatio-dev,
                libgsl-dev,
@@ -25,7 +25,7 @@
                python3-sphinx,
                latexmk,
                libjs-mathjax
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dynare
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dynare.git
 Homepage: https://www.dynare.org/
@@ -36,8 +36,9 @@
 Depends: ${octave:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         octave-statistics
-Recommends: liboctave-dev,
+         octave-statistics,
+         octave-jsonlab
+Recommends: octave-dev,
             octave-optim,
             octave-io,
             octave-control
@@ -117,7 +118,8 @@
          make,
          libgsl-dev,
          libslicot-pic,
-         libmatio-dev
+         libmatio-dev,
+         matlab-jsonlab
 Description: MATLAB support for Dynare
  Dynare is a software platform for handling a wide class of economic models, in
  particular dynamic stochastic general equilibrium (DSGE) and overlapping
