=== debian/changelog ===
dynare (5.4-3build1) mantic; urgency=medium

  * No-change rebuild against libumfpack6

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 14:36:18 +0000

dynare (5.4-3) unstable; urgency=medium

  * gcc-13.patch: new patch, fixes FTBFS against GCC 13

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Jun 2023 12:17:15 +0200

dynare (5.4-2) unstable; urgency=medium

  * d/rules: enable link-time optimizations (LTO)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 10 Jun 2023 17:32:20 +0200

dynare (5.4-1) experimental; urgency=medium

  * New upstream version 5.4
  * Update standards version to 4.6.2, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 24 Mar 2023 11:01:40 +0100
