=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                python3-sphinx,
                latexmk,
                libjs-mathjax
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dynare
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dynare.git
 Homepage: https://www.dynare.org/
